# ApplicationFramework
TKPShape
PGeom

# PGeom_Axis2Placement Class Reference

`#include <PGeom_Axis2Placement.hxx>`

Inheritance diagram for PGeom_Axis2Placement:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_Axis2Placement ()
| Returns an Axis2Placement with default values. .
Standard_EXPORT | PGeom_Axis2Placement (const gp_Ax1 &aAxis, const gp_Dir &aXDirection)
| Creates an Axis2Placement with <a2>. .
Standard_EXPORT void | XDirection (const gp_Dir &aXDirection)
| Set the value of the field xDirection with <axdirection>. .
Standard_EXPORT gp_Dir | XDirection () const
| Returns the "XDirection". This is a unit vector. .
| PGeom_Axis2Placement (const Storage_stCONSTclCOM &a)
const gp_Dir & | _CSFDB_GetPGeom_Axis2PlacementxDirection () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Dir | xDirection

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Axis2Placement::PGeom_Axis2Placement | ( |  | ) |

Standard_EXPORT PGeom_Axis2Placement::PGeom_Axis2Placement | ( | const gp_Ax1 & | aAxis,
|  | const gp_Dir & | aXDirection
| ) |

PGeom_Axis2Placement::PGeom_Axis2Placement | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Dir& PGeom_Axis2Placement::_CSFDB_GetPGeom_Axis2PlacementxDirection | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom_Axis2Placement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_AxisPlacement.

Standard_EXPORT gp_Dir PGeom_Axis2Placement::XDirection | ( |  | ) | const

Standard_EXPORT void PGeom_Axis2Placement::XDirection | ( | const gp_Dir & | aXDirection | ) |

## Field Documentation

gp_Dir PGeom_Axis2Placement::xDirection `[private]`

The documentation for this class was generated from the following file:

- PGeom_Axis2Placement.hxx